CREATE procedure [C6StagingPeriodico].[RP_ST_PROGETTICLIENTE_TEST_FC]
AS
BEGIN
	-- riportare le logiche nelle rispettive sp di PL
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MartPeriodico.GETIDELAB()
	SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()
SELECT 
	 contr.chiaveClientePB --V usata per il join con la contratto_sei metadati per fare il filtro nella consulenza
	,contr.rete
	,contr.cod_fiscale
	,pro.chiaveProgetto
	,pro.area
	,pro.tipoProgetto
INTO #ProgettiPianificazione
FROM
		C6StagingPeriodico.RP_Pianificazione AS pian
	INNER JOIN C6StagingPeriodico.RP_Progetto AS pro
	ON pian.chiaveconsulenza = pro.chiaveconsulenza
    INNER JOIN C6MartPeriodico.RP_vContrattiPerGenerazioneReport contr
	ON pian.chiaveClientePB = contr.chiaveClientePB
	WHERE		 
	 (pro.dtfinevalidita='99991231' or pro.dtfinevalidita is null)
--ricerco dati da Migrazione
SELECT
	 contr.chiaveClientePB 
	,contr.rete
	,contr.cod_fiscale
	,promig.chiaveProgetto
	,promig.area
	,promig.tipoProgetto
INTO #ProgettiMigrazione
FROM
	C6StagingPeriodico.RP_Migraz_Pianificazione AS mig
	INNER JOIN C6StagingPeriodico.RP_Migraz_Progetto AS promig
		ON mig.chiaveconsulenza = promig.chiaveconsulenza
	LEFT JOIN #ProgettiPianificazione tc
		ON mig.chiaveClientePB = tc.chiaveClientePB
			INNER JOIN C6MartPeriodico.RP_vContrattiPerGenerazioneReport contr
		ON mig.chiaveClientePB = contr.chiaveClientePB
	WHERE
	 tc.chiaveClientePB IS NULL	
insert into C6StagingPeriodico.RP_PROGETTICLIENTE_TEST_FC
	SELECT * FROM #ProgettiPianificazione
	UNION 
	SELECT * FROM #ProgettiMigrazione
END